2018-12-12 19:33 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000111Branch 0.2.1-FINALBugpublic2016-11-23 10:24
ReporterAndreasJung 
Assigned ToQuix0r 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000111: Installation Version 899
DescriptionNote: errno=2,errstr=file_exists(): open_basedir restriction in effect. File(/srv/www/vhosts/onlinewerbebombe.de/httpdocs//..) is not within the allowed path(s): (/srv/www/vhosts/onlinewerbebombe.de/httpdocs:/tmp),errfile=functions.php,errline=3228
Please report this error at bugs.mxchange.org:

   1. functions.php:2754, debug_get_printable_backtrace(0)
   2. handler.php:64, debug_report_bug(1)
   3. debug_get_printable_backtrace:2725, __errorHandler(5)
   4. functions.php:3228, file_exists(1)
   5. functions.php:3113, FILE_READABLE(1)
   6. functions.php:2529, GET_DIR_AS_ARRAY(4)
   7. functions.php:2649, searchDirsRecursive(2)
   8. functions.php:2624, getAkt_vers(0)
   9. versions.php:46, getActualVersion(1)
  10. functions.php:2701, require(1)
  11. functions.php:2709, LOAD_INC(1)
  12. mysql-connect.php:206, LOAD_INC_ONCE(1)
  13. config.php:170, require(1)
  14. install.php:66, require(1)


Fehlermeldung bei der Installation
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000311

Quix0r (administrator)

Ist der scandir()-Ersatz. :( Ich fix das mal eben.

~0000312

Quix0r (administrator)

Hmmm, der sollte funktionieren, isDirectory() klammert Verzeichnisse, wie '.' und '..' aus, indem $baseName = basename($FQFN); erzeugt wird (Zeile 3605) und dies mit den Punkt-Verzeichnissen verglichen wird (Zeile 3608).

Und das mit dem Doppel-Slash bei dir sieht komisch aus. Ist wohl irgentwo im Code mit dazu gekommen.

~0000313

user13

In Rev941 (nur in meinem Maintainer-Branch muss noch gemerged werden!) sollte diesen Bug eigentlich schliesen. Wie im Commit-Kommentar habe ich ein optionales excludePattern zu GET_DIR_AS_ARRAY() hinzugefügt. Der Doppel-Slash entsteht, wenn man einen Leeren String als $baseDir übergibt.

Eventuell solltest du auch in der if-Abfrage (Zeile 88)

if (((FILE_READABLE($FQFN)) && (substr($baseFile, 0, strlen($prefix)) == $prefix) && (substr($baseFile, -4, 4) == ".php")) || (($includeDirs) && (isDirectory($FQFN)))) {

überprüfen, ob es 1. sich besser anordnen läst oder überhaupt was redundant ist.

~0000314

Quix0r (administrator)

Sollte behoben sein.

~0000747

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-03-09 16:00 AndreasJung New Issue
2009-03-09 16:56 Quix0r Note Added: 0000311
2009-03-09 16:56 Quix0r Status new => assigned
2009-03-09 16:56 Quix0r Assigned To => Quix0r
2009-03-09 17:01 Quix0r Note Added: 0000312
2009-03-09 17:02 Quix0r Projection none => tweak
2009-03-09 17:02 Quix0r ETA none => < 1 day
2009-03-09 17:02 Quix0r Build => Rev 899
2009-03-09 17:02 Quix0r Target Version => 0.2.1-FINAL
2009-03-12 14:50 user13 Note Added: 0000313
2009-03-12 17:04 Quix0r Note Added: 0000314
2009-03-12 17:04 Quix0r Status assigned => resolved
2009-03-12 17:04 Quix0r Fixed in Version => 0.2.1-FINAL
2009-03-12 17:04 Quix0r Resolution open => fixed
2009-11-25 21:51 Quix0r Build Rev 899 => SVN-899
2010-05-28 16:59 Quix0r Product Version => 0.2.1-FINAL
2016-11-23 10:24 Quix0r Note Added: 0000747
2016-11-23 10:24 Quix0r Status resolved => closed
+Issue History